#!/bin/bash
# Demo of some kind of input parameter check
# You must set and export X before running this script
echo $X | grep [^0-9] > /dev/null 2>&1
if [ "$?" -eq "0" ]; then
  # If the grep found something other than 0-9, then it's not an integer.
  echo "Sorry, wanted a number"
else
  # The grep found only 0-9, so it's an integer. We can safely do a test on it.
  if [ "$X" -eq "7" ]; then
    echo "You entered the magic number (7)!"
  else
    echo "The number you entered is $X"
  fi
fi
